package com.adealink.weparty.playmate.saywelcome.data

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData
import com.adealink.weparty.module.playmate.data.SayWelcomeData

const val MAX_WELCOME_COUNT = 20

val onWelcomeAddLD = ExtMutableLiveData<Unit>()

val onWelcomeDeleteLD = ExtMutableLiveData<String>()

val onWelcomeUpdateLD = ExtMutableLiveData<String>()


data class SayWelcomeItemData(
    val data: SayWelcomeData
) : BaseListItemData
